Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.contrib.failmon
Enum OfflineAnonymizer.LogType

    java.lang.Object
      java.lang.Enum<OfflineAnonymizer.LogType>
          org.apache.hadoop.contrib.failmon.OfflineAnonymizer.LogType

All Implemented Interfaces:
  Serializable, Comparable<OfflineAnonymizer.LogType>

Enclosing class:
  OfflineAnonymizer

    public static enum OfflineAnonymizer.LogType

extends Enum<OfflineAnonymizer.LogType>

Enum Constant Summary
`HADOOP`
`SYSTEM`

Method Summary
`static OfflineAnonymizer.LogType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OfflineAnonymizer.LogType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HADOOP

    public static final OfflineAnonymizer.LogType HADOOP

### SYSTEM

    public static final OfflineAnonymizer.LogType SYSTEM

Method Detail

### values

    public static OfflineAnonymizer.LogType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OfflineAnonymizer.LogType c : OfflineAnonymizer.LogType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OfflineAnonymizer.LogType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation